%define		mod_name	auth_pam
%define 	apxs		/usr/sbin/apxs
Summary:	This is the PAM authentication module for Apache
Summary(es.UTF-8):	Este módulo proporciona autenticación PAM para Apache
Summary(pl.UTF-8):	Moduł uwierzytelnienia PAM dla Apache
Summary(pt_BR.UTF-8):	Este módulo provê autenticação PAM para o Apache
Name:		apache-mod_auth_pam
Version:	1.1.1
Release:	3
Epoch:		1
License:	GPL
Group:		Networking/Daemons/HTTP
Source0:	http://pam.sourceforge.net/mod_auth_pam/dist/mod_%{mod_name}-2.0-%{version}.tar.gz
# Source0-md5:	ab873520ddd2fee7d480dfd53e464e0a
Source1:	%{name}.conf
URL:		http://pam.sourceforge.net/mod_auth_pam/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		apacheconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d
%define		apachelibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)

%description
This is an authentication module for Apache that allows you to
authenticate HTTP clients using PAM (pluggable authentication module).

%description -l es.UTF-8
Este módulo permite autenticar clientes HTTP usando el directorio PAM.

%description -l pl.UTF-8
To jest moduł uwierzytelnienia dla Apache pozwalający na
uwierzytelnianie klientów HTTP przez PAM.

%description -l pt_BR.UTF-8
Este módulo permite que você autentique clientes HTTP usando o
diretório PAM.

%prep
%setup -q -n mod_%{mod_name}

%build
%{apxs} -c mod_%{mod_name}.c	-o mod_%{mod_name}.la	 -lpam
%{apxs} -c mod_auth_sys_group.c -o mod_auth_sys_group.la -lpam

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{apachelibdir},/etc/pam.d,%{apacheconfdir}}

install .libs/mod_*.so $RPM_BUILD_ROOT%{apachelibdir}
install samples/httpd $RPM_BUILD_ROOT/etc/pam.d/httpd
install %{SOURCE1} $RPM_BUILD_ROOT%{apacheconfdir}/52_mod_auth_pam.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%triggerpostun -- %{name} < 1:1.1.1-1
if [ -f %{apacheconfdir}/52_mod_auth_pam.conf ]; then
	echo "Saving old configuration as %{apacheconfdir}/52_mod_auth_pam.conf.rpmsave"
	cp -f %{apacheconfdir}/52_mod_auth_pam.conf %{apacheconfdir}/52_mod_auth_pam.conf.rpmsave
	echo "Adjusting configuration for apache-mod_auth_pam >= 1.1"
	sed -i -e '{ s/pam_auth_module/auth_pam_module/g; s/etc_group_auth_module/auth_sys_group_module/g; s/mod_auth_pam2.so/mod_auth_pam.so/g; s/mod_auth_etc_group.so/mod_auth_sys_group.so/g; }' %{apacheconfdir}/52_mod_auth_pam.conf

	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc doc/{configure,faq}.html samples/dot-htaccess README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/*_mod_auth_pam.conf
%attr(755,root,root) %{apachelibdir}/*.so
%config(noreplace) /etc/pam.d/httpd
%changelog
* Fri Apr 12 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_auth_pam.git;a=log;h=master

* Fri Apr 12 2013 Łukasz Kieś <kiesiu@pld-linux.org> 167ca03
- release 3 (by relup.sh)

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> 1597696
- HTTP group

* Sat Feb 16 2008 hawk <hawk@pld-linux.org> efccd94
- fixed broken directory dep on /etc/httpd/httpd.conf
- release 2

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> 36073b6
- apache-apxs -> %{apxs} in BR

* Thu Jun 07 2007 shadzik <shadzik@pld-linux.org> 6e0c040
- BR s@%{apxs}@apache-apxs@g

* Sat Apr 28 2007 Jakub Bogusz <qboosh@pld-linux.org> b85fb67
- unified

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 31194a3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ff79f3d
- converted to UTF-8

* Fri Nov 17 2006 Elan Ruusamäe <glen@pld-linux.org> 9930340
- fix apache runtime deps

* Fri Apr 14 2006 Elan Ruusamäe <glen@pld-linux.org> c9c0232
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

* Sat Jan 14 2006 Elan Ruusamäe <glen@pld-linux.org> 87e0e94
- it's just matter of specifying correct epoch

* Sat Jan 14 2006 Elan Ruusamäe <glen@pld-linux.org> 08b2879
- use %service macro
- killed bogus comment

* Sat Jan 14 2006 hawk <hawk@pld-linux.org> f5d8bde
- obsolete

* Sat Jan 14 2006 hawk <hawk@pld-linux.org> 3304027
- updated to 1.1.1
- removed missing_constant.patch (fixed in sources)
- added ugly triggers to allow clean update
- note: according to project home page there was no mod_auth_pam 2.0,
  only tarball with alpha version for apache 2.0 had name
  mod_auth_pam-2.0.tar.gz while inside there was version 1.0a (alpha)

* Sat Jan 14 2006 hawk <hawk@pld-linux.org> 0d321e0
- updated for version 1.1.1

* Tue Dec 27 2005 Elan Ruusamäe <glen@pld-linux.org> 0ed828a
- unified files

* Wed Dec 21 2005 Elan Ruusamäe <glen@pld-linux.org> 6b743ca
- rel 5 (rebuild with new apache)

* Tue Dec 13 2005 Jakub Bogusz <qboosh@pld-linux.org> 1d47638
- fixed prep

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> 9c7fabc
- adapterized (sorted %verify attrs)

* Sun Jun 05 2005 zbyniu <zbyniu@pld-linux.org> 63719a2
- BR: pam-devel

